Babblet: Real Time Chat Lite > Invisionize.eu - IP.Board (IPB) News
Kanał Rss Kanał Rss
Kanał Atom Kanał Atom

Babblet: Real Time Chat Lite

wersja drukowalna wersja Microsoft Word wersja HTML

Laptop fund sale. My laptop is getting quite old and needs replacing soon. Since i use the profits from my apps as a "do whatever with" money, I've decided to use it to buy a new laptop. the sale will run till i have enough to buy a decent laptop/macbook. So everything 50% off till whenever!

NOTICE: If you are upgrading Babblet, you will need to restart your babblet.js application. if you have moved it from the default directory you will need to take the updated one, verify the information it contains, and replace the one you removed and then restart the babblet.js app for node.

Babblet is the little brother to Babble. It is a real time chat using node.js and sockets. It uses less resources and doesn't rely on long polling or interval scripts to check for new messages, like many other chat systems available. Babblet doesn't have as many features as its big brother Babble, but it is still feature rich.

Demo: http://codingjungle.com/babble (you will need to register or logged in to be able to see or use. Babble's and Babblet's user interface are identical, the major differences are lack of rooms for Babblet and custom/alias commands ).

If you would like private demo of Babblet, you can send me a PM here or on my site.

Discussion Thread: 

Babble:

Requirements:

A modern browser that supports web sockets. (Firefox/IE11/Edge/Chrome/Safari supports websockets. For mobile browsers, I will only be supporting Safari and Chrome).

Node.js installed on a local or a remote server that can run a node.js script. I have only tested the last 4 versions of node.js, but the latest version of node.js you can install, the better. I will attempt to compile a node.js versions that are compatible with Babble.

The php side of babble should work on php 5.5-7  (IPS 4 doesn’t official support php 7  due to incompatibilities with htmlpurifier has with php 7).

Notes: babblet requires node.js. This is an unconditional requirement. So many of the features of babblet are nodejs dependent, that there isn’t any fallback to another web technology (like ajax/long polling). With that in mind, Babblet is very javascript dependent, it will not degrade gracefully if javascript has been disabled in the browser,if you have any tin foil hat wearing members, they will not be able to use babblet.

Note:

*If you have SSL(HTTPS) on your server, you must be able to create a "reverse proxy"  in nginx/apache to be able to use babble.
**if you are running a server that doesn't use a LAMP ( Linux, Apache, MySQL, PHP) or LEMP (Linux, NGINX, MySQL, PHP) server, I will not be able to give support for. AFAIK nodejs/socket.io will run on windows and mac os x, but configuration might prove difficult. As for *BSD servers, they should operate similar to a Linux server.

Each purchase only entitles a installation on 1 live site and 1 dev site. If you wish to run babblet on multiple sites, you will need to purchase babble for each site. If you are found in violation of this agreement, I can choose to revoke your access to future updates and support until the matter is rectified.

If you purchase a copyright removal, Babblet will occasional make a call home to http://codingjungle.com to validate the copyright removal key. Copyright Removal keys will need to be purchased for each purchase of babblet if you wish to run it on multiple sites without branding.

Features:

Commands:

Commands can perform special functions when issued. The commands can be issued thru the chat area (similar to how IRC does it).  Some commands have group restrictions.  If you need more advanced functionality you can create a “command” file.

Command list:

nie, 24 lipiec 2016